Subject: [Geopriv] RE: [Simple] Individuals, hats and spheres

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 8 Sep 2003 15:18:12 -0400

<this message was addressed to both geopriv and simple.  I used
SIMPLE terminology>
There are lots of ways to categorize watchers.  "Sphere" is one
of them.  Categorizing the PRESENTITY in a sphere is pretty strange
to my way of thinking.

If I publish my location, then it's my location, and that is independent
of my sphere.  I can be at home, and still be working.  If I am, I'll
probably take calls, and reveal location, to my friends.  If I'm working
at home, then presumably I'm in the work sphere as you propose it.
The only thing the sphere could do on the watcher is to somehow change
visibility to, say, office team-mates, when I'm working from home,
as opposed to working in my office.  While I would agree there is
some value in that, it seems pretty small. 

What I want to do is to have different rules for different categories
of watchers.  I don't see how this proposal helps me categorize
watchers.

Brian

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Sunday, September 07, 2003 2:05 PM
> To: [email-masked]; [email-masked]
> Subject: [Simple] Individuals, hats and spheres
> 
> 
> For access control to presence and geo data, there seem to be two use 
> cases that almost all discussions circle back to: spheres and 
> individuals.
> 
> By spheres I mean the various parts that most of us divide our life 
> into, the different 'hats' that we wear, as member of a family, as an 
> employee, as a member of various voluntary organizations ranging from 
> the professional assocations like the IEEE and IETF to religious 
> organizations and social organizations like the Boy Scouts or bowling 
> league.
> 
> Many of the use cases can be boiled down to "if I'm in one sphere, I 
> don't people in another sphere to see what I'm doing". (Here, 
> I think is 
> what I'm doing is mostly the important aspect if you exclude total 
> strangers that could do me physical harm, where simple knowledge of 
> location matters. For privacy, it is mostly that location is a good 
> indication of activity and interests.)
> 
> The discussion so far always seems to make the work/home distinction, 
> but before "Bowling Alone", people also had many other 
> spheres in what I 
> gather is commonly called "civil society". If somebody is 
> with the scout 
> group on an outing, the may want the other scout masters to 
> be able to 
> find where they are, but they probably don't want them to 
> track them the 
> rest of the week.
> 
> The rules discussion in GEOPRIV and, to a lesser extent, in 
> SIMPLE, have 
> tried to approximate these spheres, by location, time or other hints, 
> but for a variety of reasons, this doesn't always work well. 
> (Time-of-day fails when people have schedules more complicated than 
> factory workers; location fails for road warriors and placetype fails 
> for people working at home.)
> 
> Thus, my proposal: RPID adds a <sphere> element that has a 
> few standard 
> labels, such as 'home' and 'work', with other labels that can 
> be added. 
> The primary purpose of this information is not so much in the NOTIFY, 
> but in the PUBLISH phase. The idea is that I can publish my 
> 'sphere' and 
> this will automatically switch between different modes of visibility, 
> different sets of rules. In the rule language being discussed in 
> GEOPRIV, this might take the form
> 
> Person        sphere    access
> -------------------------------------------------------
> boss@work     work      location,activity
> friend        home      busy/idle
> spouse        home,work location
> bowling buddy bowling   location
> 
> Note that this is not a group as traditionally understood - the same 
> person may well share multiple spheres with me. Also, unlike 
> groups, the 
> visibility depends on my activity, not just a membership in a list.
> 
> While the sphere information would often have to be derived 
> manually, it 
> is plausible that external hints can be used. Sometimes location will 
> do, but only in the narrowest sense ("at work site"). Time 
> will only be 
> useful if users are meticulous about keeping calendars and have very 
> regular schedules. Other hints are probably better, such as 
> being logged 
> into a VPN for work, or wearing a work badge.
> 
> The current RPID <placetype> and <activity> come close, but are not 
> quite the same.
> 
> I'd appreciate comments.
> 
> Henning
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 08 Sep 2003 22:33:10 -0400

> of them.  Categorizing the PRESENTITY in a sphere is pretty strange

This categorization is, in my view, useful in two ways:

- If this information reaches the watcher, it is a good indication as to 
whether I should communicate with you about private or work matters.

- If this information is used only in PUBLISH, it in turn governs 
disclosure of other information.

> of my sphere.  I can be at home, and still be working.  If I am, I'll

Correct. That's why placetype, for example, is insufficient.

> probably take calls, and reveal location, to my friends.  If I'm working

If you're willing to be found by friends, you're actually in two spheres 
at once. Not uncommon.

> some value in that, it seems pretty small. 

Almost all of the geopriv discussion seems to have focused on variations 
on that theme...

> of watchers.  I don't see how this proposal helps me categorize

The sphere is such a categorization, by assigning rights to a sphere:

sphere
work    boss@work        can see location
work    friend1          cannot see location
home    friend1          can see location
work    colleague-friend can see location
home    colleague-friend can see location

I'm not sure how else you propose to categorize watchers.